summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2020-08-04 08:47:51 -0400
committerAnthony G. Basile <blueness@gentoo.org>2020-08-04 08:47:51 -0400
commit6f3573b4475382a306b8fd97ec9c5d373a667970 (patch)
treef58e2596b2659f0626b008cf934879f4849bd788
parentapp-emacs/vterm: Initial import. (diff)
downloadgentoo-6f3573b4475382a306b8fd97ec9c5d373a667970.tar.gz
gentoo-6f3573b4475382a306b8fd97ec9c5d373a667970.tar.bz2
gentoo-6f3573b4475382a306b8fd97ec9c5d373a667970.zip
net-dns/avahi: restore avahi-0.7
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
-rw-r--r--net-dns/avahi/Manifest1
-rw-r--r--net-dns/avahi/avahi-0.7-r6.ebuild216
-rw-r--r--net-dns/avahi/metadata.xml6
3 files changed, 221 insertions, 2 deletions
diff --git a/net-dns/avahi/Manifest b/net-dns/avahi/Manifest
index 8827967c8d2..8c49f959d60 100644
--- a/net-dns/avahi/Manifest
+++ b/net-dns/avahi/Manifest
@@ -1 +1,2 @@
+DIST avahi-0.7.tar.gz 940047 BLAKE2B 8299577bf27ee65fad5d743dbf94202b148a6fc86825cae303f94c44482eea07cf6570d970ca286e81a787d6a64598b7123f2ac17a259ddc50ef431b9c94b530 SHA512 61f656da7614d8cca1862180038f571db3474c84f05db4d3509f614cdbf8b1a1047661b7e24d63682d5b48ed1bfa1b08b3c9e6dbe9222bcd62d99bc168a11abe
DIST avahi-0.8.tar.gz 953319 BLAKE2B ddede1b8790ff3057ea5f4bb710e95578229e078a7abac83121e043017dda1ab3d971c723f920fdd4f3d98b88bd2cf21f9645bec1b7bbd2ea194cb399a5f5b46 SHA512 27bba9a551152dfc7e721f326042e7bfce55d227044a6cbaee04d6fb0e3f59c36e159c2b7a4dd42d1c955cdf37cc1c303e91991c08928bbded91d796e9a22abe
diff --git a/net-dns/avahi/avahi-0.7-r6.ebuild b/net-dns/avahi/avahi-0.7-r6.ebuild
new file mode 100644
index 00000000000..acf63a7774c
--- /dev/null
+++ b/net-dns/avahi/avahi-0.7-r6.ebuild
@@ -0,0 +1,216 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="gdbm"
+
+inherit autotools eutils flag-o-matic ltprune multilib multilib-minimal mono-env python-r1 systemd user
+
+DESCRIPTION="System which facilitates service discovery on a local network"
+HOMEPAGE="http://avahi.org/"
+SRC_URI="https://github.com/lathiat/avahi/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+#KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="autoipd dbus doc gdbm gtk gtk3 howl-compat +introspection ipv6 kernel_linux mdnsresponder-compat mono nls python qt5 selinux test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+ python? ( dbus gdbm ${PYTHON_REQUIRED_USE} )
+ mono? ( dbus )
+ howl-compat? ( dbus )
+ mdnsresponder-compat? ( dbus )
+"
+
+COMMON_DEPEND="
+ dev-libs/libdaemon
+ dev-libs/expat
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ gdbm? ( sys-libs/gdbm:=[${MULTILIB_USEDEP}] )
+ qt5? ( dev-qt/qtcore:5 )
+ gtk? ( x11-libs/gtk+:2[${MULTILIB_USEDEP}] )
+ gtk3? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+ dbus? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
+ kernel_linux? ( sys-libs/libcap )
+ introspection? ( dev-libs/gobject-introspection:= )
+ mono? (
+ dev-lang/mono
+ gtk? ( dev-dotnet/gtk-sharp:2 )
+ )
+ python? (
+ ${PYTHON_DEPS}
+ dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+ introspection? ( dev-python/pygobject:3[${PYTHON_USEDEP}] )
+ )
+"
+
+DEPEND="
+ ${COMMON_DEPEND}
+ dev-util/glib-utils
+ doc? ( app-doc/doxygen )
+ app-doc/xmltoman
+ dev-util/intltool
+ virtual/pkgconfig
+"
+
+RDEPEND="
+ ${COMMON_DEPEND}
+ howl-compat? ( !net-misc/howl )
+ mdnsresponder-compat? ( !net-misc/mDNSResponder )
+ selinux? ( sec-policy/selinux-avahi )
+"
+
+MULTILIB_WRAPPED_HEADERS=( /usr/include/avahi-qt5/qt-watch.h )
+
+PATCHES=(
+ "${FILESDIR}/${P}-qt5.patch"
+ "${FILESDIR}/${P}-CVE-2017-6519.patch"
+)
+
+pkg_preinst() {
+ enewgroup netdev
+ enewgroup avahi
+ enewuser avahi -1 -1 -1 avahi
+
+ if use autoipd; then
+ enewgroup avahi-autoipd
+ enewuser avahi-autoipd -1 -1 -1 avahi-autoipd
+ fi
+}
+
+pkg_setup() {
+ use mono && mono-env_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ if ! use ipv6; then
+ sed -i \
+ -e s/use-ipv6=yes/use-ipv6=no/ \
+ avahi-daemon/avahi-daemon.conf || die
+ fi
+
+ sed -i\
+ -e "s:\\.\\./\\.\\./\\.\\./doc/avahi-docs/html/:../../../doc/${PF}/html/:" \
+ doxygen_to_devhelp.xsl || die
+
+ # Prevent .pyc files in DESTDIR
+ >py-compile
+
+ eautoreconf
+
+ # bundled manpages
+ multilib_copy_sources
+}
+
+src_configure() {
+ # those steps should be done once-per-ebuild rather than per-ABI
+ use python && python_setup
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=( --disable-static )
+
+ if use python; then
+ myconf+=(
+ $(multilib_native_use_enable dbus python-dbus)
+ $(multilib_native_use_enable introspection pygobject)
+ )
+ fi
+
+ if use mono; then
+ myconf+=( $(multilib_native_use_enable doc monodoc) )
+ fi
+
+ if ! multilib_is_native_abi; then
+ myconf+=(
+ # used by daemons only
+ --disable-libdaemon
+ --with-xml=none
+ )
+ fi
+
+ myconf+=( $(multilib_native_use_enable qt5) )
+
+ econf \
+ --localstatedir="${EPREFIX}/var" \
+ --with-distro=gentoo \
+ --disable-python-dbus \
+ --enable-manpages \
+ --enable-xmltoman \
+ --disable-monodoc \
+ --enable-glib \
+ --enable-gobject \
+ $(multilib_native_use_enable test tests) \
+ $(multilib_native_use_enable autoipd) \
+ $(use_enable mdnsresponder-compat compat-libdns_sd) \
+ $(use_enable howl-compat compat-howl) \
+ $(multilib_native_use_enable doc doxygen-doc) \
+ $(multilib_native_use_enable mono) \
+ $(use_enable dbus) \
+ $(multilib_native_use_enable python) \
+ $(use_enable gtk) \
+ $(use_enable gtk3) \
+ $(use_enable nls) \
+ $(multilib_native_use_enable introspection) \
+ --disable-qt3 \
+ --disable-qt4 \
+ $(use_enable gdbm) \
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)" \
+ "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ emake
+
+ multilib_is_native_abi && use doc && emake avahi.devhelp
+}
+
+multilib_src_install() {
+ emake install DESTDIR="${D}"
+ rm -f "${ED}"/usr/bin/avahi-bookmarks
+
+ # https://github.com/lathiat/avahi/issues/28
+ use howl-compat && dosym avahi-compat-howl.pc /usr/$(get_libdir)/pkgconfig/howl.pc
+ use mdnsresponder-compat && dosym avahi-compat-libdns_sd/dns_sd.h /usr/include/dns_sd.h
+
+ if multilib_is_native_abi && use doc; then
+ docinto html
+ dodoc -r doxygen/html/.
+ insinto /usr/share/devhelp/books/avahi
+ doins avahi.devhelp
+ fi
+
+ # The build system creates an empty "/run" directory, so we clean it up here
+ rmdir "${ED}"/run
+}
+
+multilib_src_install_all() {
+ if use autoipd; then
+ insinto /lib/rcscripts/net
+ doins "${FILESDIR}"/autoipd.sh
+
+ insinto /lib/netifrc/net
+ newins "${FILESDIR}"/autoipd-openrc.sh autoipd.sh
+ fi
+
+ dodoc docs/{AUTHORS,NEWS,README,TODO}
+
+ prune_libtool_files --all
+}
+
+pkg_postinst() {
+ if use autoipd; then
+ elog
+ elog "To use avahi-autoipd to configure your interfaces with IPv4LL (RFC3927)"
+ elog "addresses, just set config_<interface>=( autoipd ) in /etc/conf.d/net!"
+ elog
+ fi
+}
diff --git a/net-dns/avahi/metadata.xml b/net-dns/avahi/metadata.xml
index 403d3fbd5a5..0832dd78f28 100644
--- a/net-dns/avahi/metadata.xml
+++ b/net-dns/avahi/metadata.xml
@@ -9,8 +9,10 @@
<flag name="autoipd">Build and install the IPv4LL (RFC3927) network address configuration daemon</flag>
<flag name="bookmarks">Install the avahi-bookmarks application (requires <pkg>dev-python/twisted</pkg>)</flag>
<flag name="howl-compat">Enable compat libraries for howl</flag>
- <flag name="gtk2">Use gtk2 for the avahi utilities (overridden by USE=gtk) and build the avahi-ui library</flag>
- <flag name="gtk">Use gtk3 for the avahi utilities (overrides USE=gtk2) and build the avahi-ui-gtk3 library</flag>
+ <flag name="gtk" restrict="&lt;net-dns/avahi-0.8-r2">Use gtk2 for the avahi utilities (overridden by USE=gtk3) and build the avahi-ui library</flag>
+ <flag name="gtk3" restrict="&lt;net-dns/avahi-0.8-r2">Use gtk3 for the avahi utilities (overrides USE=gtk) and build the avahi-ui-gtk3 library</flag>
+ <flag name="gtk2" restrict="&gt;=net-dns/avahi-0.8-r2">Use gtk2 for the avahi utilities (overridden by USE=gtk) and build the avahi-ui library</flag>
+ <flag name="gtk" restrict="&gt;=net-dns/avahi-0.8-r2">Use gtk3 for the avahi utilities (overrides USE=gtk2) and build the avahi-ui-gtk3 library</flag>
<flag name="mdnsresponder-compat">Enable compat libraries for mDNSResponder</flag>
</use>
<upstream>